import fs from "fs";

export async function generateCallManifest(
	data = {
		// "NA": {
		// 	"winner": "NODATA",
		// 	"resultNow": "0",
		// 	"resultBlock": "0"
		// }
	},
	location = "manifest.txt") {
	let manifest = fs.createWriteStream(location,)

	let now = new Date(Date.now())
	manifest.write(
		"TheElector: automated election call reporting system\n" +
		"-----------\n" +
		"MANIFEST DATA\n" +
		"Generated: " + (now.getMonth() + 1) + "/" + now.getDay() + " " + now.getHours() + ":" + now.getMinutes() + ":" + now.getSeconds() + " Hours local\n" +
		"-----------\n"
	)

	// Alphabetical list
	manifest.write("BY STATE ALPHABETICALLY: \n")
	for (const state in data) {
		let time = new Date(data[state].resultNow * 1000)

		manifest.write("State: " + state + "\n");
		manifest.write("Call: " + data[state].winner + "\n");
		manifest.write("Time called: " + (time.getMonth() + 1) + "/" + time.getDay() + " " +
			time.getHours() + ":" + time.getMinutes() + ":" + time.getSeconds() + "\n");
		manifest.write("-----------" + "\n");
	}


	manifest.close()
}
